### Method

# Gtk StackSidebarset_stack

#### Declaration [src]

    void
    gtk_stack_sidebar_set_stack (
      GtkStackSidebar* self,
      GtkStack* stack
    )

#### Description [src]

Set the `GtkStack` associated with this `GtkStackSidebar`.

The sidebar widget will automatically update according to the order and items within the given `GtkStack`.

Sets property | `Gtk.StackSidebar:stack`

#### Parameters

`stack`

  Type: `GtkStack`

  A `GtkStack`

  The data is owned by the caller of the method.